Bug 1729980 - [RHOSP13]Impossible to start instances after minor upgrade due to authorization issues
Summary: [RHOSP13]Impossible to start instances after minor upgrade due to authorizati...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Martin Schuppert
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 13:27 UTC by Luigi Tamagnone
Modified: 2019-11-13 13:51 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-20 11:29:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Luigi Tamagnone 2019-07-15 13:27:22 UTC
Description of problem:
After upgrade user unable to spin any VMs up

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Luigi Tamagnone 2019-07-15 13:53:58 UTC
Full description:

Description of problem:
After upgrade user unable to spin any VMs up:
- The update was started on 7th of June. Case related 02401260
- The update on the controller completed on the 24th of June. Then had outage the next day. 
- Stuck on updating compute nodes. case related 02401260
- rebooted all of that control node
- there are these two containers unhealthy on overcloud-controller-2:
  ->  nova_metadata   Up 3 hours (unhealthy)
  ->  nova_api        Up 3 hours (unhealthy)

To resolve the issue:
- Restart  nova_metadata and nova_api
- restart the nova container on compute node 2

Version-Release number of selected component (if applicable):
openstack-keystone-13.0.2-4

How reproducible:
Rebooted all of that control node

Steps to Reproduce:
1. Minor update
2. Rebooted all of that control node
3.

Actual results:
No all container go up in good status

Expected results:
All work fine

Additional info:
This is similar to this upstream bug https://bugs.launchpad.net/starlingx/+bug/1823375

Comment 8 Martin Schuppert 2019-08-20 11:29:22 UTC
I have closed this bug as it has been waiting for more info for 4
weeks. We only do this to ensure that we don't accumulate stale bugs which
can't be addressed. If you are able to provide the requested information,
please feel free to re-open this bug.


Note You need to log in before you can comment on or make changes to this bug.